Skip to main content

Get an amenity by ID

GEThttps://api.propexo.com/v1/amenities/:amenity_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

amenity_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the amenity

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    propertyunits/getAmenities
    Example: amenX123
    x_listing_idnullrequired

    The external ID of the listing from the integration vendor

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_parent_amenity_idnullrequired

    The external ID from the integration vendor of the amenity this unit and/or property amenity is associated with

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    propertyunits/getAmenities
    Example: property456
    x_unit_idnullrequireddeprecated

    DEPRECATED: Please use the "units" field to see the associated units with this amenity

    Notice

    This field will always be null for ENTRATA

    Example: null
    cost_in_centsnumber | nullnullablerequired

    Cost in cents for the amenity

    Method
    propertyunits/getAmenities
    Example: 2500
    custom_data object | nullrequired
    object
    descriptionstring | nullnullablerequired

    Description of the amenity

    Method
    propertyunits/getAmenities
    Example: This is a description of the amenity
    image_urlsstring[]required

    A list of image urls associated with the amenity

    Method
    propertyunits/getAmenities
    Example: ["http://www.example.com/image.jpg"]
    is_unit_amenityboolean | nullnullablerequired

    Whether the amenity is a unit amenity

    Method
    propertyunits/getAmenities
    Example: true
    meta_datanullrequired
    Example: null
    name_normalizednullrequired

    The name associated with the amenity

    Notice

    This field will always be null for ENTRATA

    Example: null
    namestringrequired

    The name associated with the amenity

    Method
    propertyunits/getAmenities
    Example: Pool
    units object[]required

    List of unit ids associated with the amenity

  • Array [
  • amenity_idstringrequired

    The Propexo unique identifier for the amenity

    Method
    propertyunits/getAmenities
    Example: clxknh5ku000008jp93vq62de
    unit_idstringrequired

    The Propexo unique identifier for the unit

    Method
    propertyunits/getAmenities
    Example: clxknh5ku000008jp93vq62de
    cost_in_centsnumber | nullnullablerequired

    Cost in cents for the amenity on a particular unit

    Method
    propertyunits/getAmenities
    Example: 2500
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/amenities/:amenity_id
curl https://api.propexo.com/v1/amenities/:amenity_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "amenX123",
"x_listing_id": null,
"x_parent_amenity_id": null,
"x_property_id": "property456",
"cost_in_cents": 2500,
"custom_data": "Unknown Type: object,null",
"description": "This is a description of the amenity",
"image_urls": [
"http://www.example.com/image.jpg"
],
"is_unit_amenity": true,
"meta_data": null,
"name_normalized": null,
"name": "Pool",
"units": [
{
"amenity_id": "clxknh5ku000008jp93vq62de",
"unit_id": "clxknh5ku000008jp93vq62de",
"cost_in_cents": 2500
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}